メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /discovery//urls

指定したディスカバリージョブで検出された URL の一覧を返します。通常はジョブ完了後に呼び出します。

パスパラメーター

discoveryId
string
必須
ディスカバリージョブの ID。

クエリパラメーター

page
number
デフォルト:"1"
ページ番号。
limit
number
デフォルト:"50"
1 ページあたりの URL 件数(最大 100)。

レスポンス

urls
array
発見された URL オブジェクトの配列。
total
number
発見された URL の総数。
page
number
現在のページ番号。
totalPages
number
総ページ数。
curl -X GET "https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000/urls?limit=20" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "urls": [
    {
      "url": "https://example.com/",
      "title": "Example Domain - Home",
      "lastModified": "2026-01-15T00:00:00.000Z"
    },
    {
      "url": "https://example.com/about",
      "title": "About Us",
      "lastModified": "2026-01-10T00:00:00.000Z"
    },
    {
      "url": "https://example.com/contact",
      "title": "Contact",
      "lastModified": null
    }
  ],
  "total": 47,
  "page": 1,
  "totalPages": 3
}